<div class="job-table">
  <table mat-table matSort [dataSource]="dataSource">
    <!-- Name Column -->
    <ng-container matColumnDef="jobId">
      <th mat-header-cell *matHeaderCellDef mat-sort-header>ID</th>
      <td mat-cell *matCellDef="let job">{{ job.jobId }}</td>
    </ng-container>
    <!-- Age Column -->
    <ng-container matColumnDef="jobName">
      <th mat-header-cell *matHeaderCellDef mat-sort-header>Name</th>
      <td mat-cell *matCellDef="let job">{{ job.jobName }}</td>
    </ng-container>
    <ng-container matColumnDef="details">
      <th mat-header-cell *matHeaderCellDef mat-sort-header>Details</th>
      <td mat-cell *matCellDef="let job">{{ job.details }}</td>
    </ng-container>
    <!-- Age Column -->
    <ng-container matColumnDef="creationDate">
      <th mat-header-cell *matHeaderCellDef mat-sort-header>Creation Date</th>
      <td mat-cell *matCellDef="let job">{{ job.creationDate }}</td>
    </ng-container>

    <!-- Actions -->
    <ng-container matColumnDef="actions">
      <th mat-header-cell *matHeaderCellDef mat-sort-header>Actions</th>
      <td mat-cell *matCellDef="let job">
        <div class="flex flex-row items-center">
          <button
            mat-flat-button
            color="accent"
            class="mr-1"
            (click)="onContinue(job.jobId)"
          >
            Continue
          </button>
          <button
            mat-flat-button
            color="accent"
            class="mr-1"
            (click)="onDownload(job.jobId)"
          >
            Download
          </button>
          <button mat-icon-button (click)="onDelete(job.jobId)">
            <mat-icon>delete</mat-icon>
          </button>
        </div>
      </td>
    </ng-container>

    <!-- Show Rows -->
    <tr mat-header-row *matHeaderRowDef="columnsToDisplay"></tr>
    <tr mat-row *matRowDef="let myRowData; columns: columnsToDisplay"></tr>
  </table>
</div>
